Subject: [clisp-list] win32 registry editing with clisp

From: Sam Steingold <[email-masked]>
Date: 28 Mar 2000 14:21:43 -0500

when removing a package under win32, one has to manually(!!!) remove all
references to the package from the registry (this is not always
necessary, but I found that it might be - for some packages).

clisp provides sys::registry which looks in HKEY_LOCAL_MACHINE only and
supports only strings.  It would be nice if sys::registry were exported
and took wildcards/regexps as either argument, and if it were setfable.

I cannot do it - I know nothing about the win32 API...

[some time ago I discussed making sys::getenv setfable with Bruno.
 I don't remember why, but Bruno was opposed to it - Bruno, if you
 changed your mind, I will gladly do it :-]

-- 
Sam Steingold (http://www.podval.org/~sds)
Micros**t is not the answer.  Micros**t is a question, and the answer is Linux,
(http://www.linux.org) the choice of the GNU (http://www.gnu.org) generation.
Binaries die but source code lives forever.